Skip to main content
GET
/
v1
/
submerchants
Get all submerchants
curl --request GET \
  --url https://api-global.fastpaybrasil.com/v1/submerchants \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "id": "36OO3bcGjhPjjF3tzrqOGcmQuKo",
      "tradeName": "ACME",
      "legalName": "ACME Corp",
      "companyTaxId": "12345678000199",
      "averageMonthlyRevenue": 5000,
      "averageOrderValue": 100,
      "productType": "digital",
      "website": "https://google.com",
      "gatewayId": "36O08tjxJCxtEFApVPyWbryktP3",
      "approvedAt": "2025-12-04T20:02:51.762Z",
      "inactivatedAt": null,
      "status": "active",
      "contactEmail": "[email protected]",
      "productDescription": "We sell electronic gadgets and accessories.",
      "softDescriptor": null,
      "createdAt": "2025-12-04T18:45:52.988Z",
      "totalSales": 0
    }
  ],
  "page": 1,
  "pages": 10,
  "total": 100,
  "size": 10
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.

Query Parameters

status
enum<string>

Filters merchants by current status.

Available options:
active,
inactive,
pending,
rejected,
blocked
companyTaxId
string

Merchant tax identification number (e.g. CNPJ).

Merchant legal (registered) name.

tradeName
string

Merchant trade or business name.

createdAt
string<date>

Filters merchants created at a specific date.

updatedAt
string<date>

Filters merchants last updated at a specific date.

approvedAt
string<date>

Filters merchants approved at a specific date.

rejectedAt
string<date>

Filters merchants rejected at a specific date.

blockedAt
string<date>

Filters merchants blocked at a specific date.

inactivatedAt
string<date>

Filters merchants inactivated at a specific date.

currency
string

Filters merchants by operating currency.

Example:

"BRL"

page
integer
default:1

Page number (starts at 1)

Example:

1

size
integer
default:10

Number of items per page

Example:

20

orderBy
string

Order results by fields (comma-separated). Prefix with - for descending order.

Example:

"legalName,-createdAt"

Response

Successfully retrieved the list of submerchants

data
object[]

Array of merchants in the current page

page
integer

Current page number

Example:

1

pages
integer

Total number of pages available

Example:

10

total
integer

Total number of charges across all pages

Example:

100

size
integer

Number of charges per page

Example:

10